package com.io.yutian.aulib;

import com.io.yutian.aulib.lang.Lang;
import com.io.yutian.aulib.listener.GuiHandlerListener;
import com.io.yutian.aulib.redis.RedisCacheSyncTimer;
import com.io.yutian.aulib.util.LangUtil;
import org.bukkit.plugin.java.JavaPlugin;

public class AuLib extends JavaPlugin {

    private static AuLib instance;

    private RedisCacheSyncTimer redisCacheSyncTimer;

    @Override
    public void onEnable() {
        instance = this;

        redisCacheSyncTimer = new RedisCacheSyncTimer();

        registerListeners();

        Lang.registerLangFile(this);
        Lang.reload(this);

        LangUtil.init();

    }

    private void registerListeners() {
        new GuiHandlerListener(this);
    }

    public RedisCacheSyncTimer getRedisCacheSyncTimer() {
        return redisCacheSyncTimer;
    }

    public static AuLib inst() {
        return instance;
    }

}
