package com.io.yutian.aulib.nbt;

import java.util.Arrays;

public class NBTLongArray implements INBT {

    public static byte TYPE_ID = 12;

    private long[] value;

    public NBTLongArray(long[] value) {
        this.value = value;
    }

    public long[] getLongArray() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        NBTLongArray that = (NBTLongArray) o;
        return Arrays.equals(value, that.value);
    }

    @Override
    public int hashCode() {
        return Arrays.hashCode(value);
    }
}
