package com.io.yutian.aulib.nbt;

import java.util.Objects;

public class NBTString implements INBT {

    public static byte TYPE_ID = 8;

    private String value;

    public NBTString(String value) {
        this.value = value;
    }

    public NBTString() {
    }

    public String getString() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        NBTString nbtString = (NBTString) o;
        return Objects.equals(value, nbtString.value);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(value);
    }

    @Override
    public String toString() {
        return "NBTString{" +
                "value='" + value + '\'' +
                '}';
    }
}
