package com.io.yutian.aulib.util;

import org.bukkit.plugin.Plugin;

import java.util.HashMap;
import java.util.Map;

public class ClassUtil {

    public static boolean isAssignableFrom(Object object, Class clazz) {
        if (object == null) {
            return false;
        }
        Class c = PRIMITIVE_TO_WRAPPER.getOrDefault(clazz, clazz);
        if (c.isAssignableFrom(object.getClass())) {
            return true;
        }
        if (object.getClass().equals(Integer.class)) {
            if (c.equals(Double.class) || c.equals(Float.class) || c.equals(Long.class)) {
                return true;
            }
        }
        if (object.getClass().equals(String.class)) {
            String s = (String) object;
            if (c.equals(Double.class)) {
                return StringUtil.isDouble(s);
            } else if (c.equals(Float.class)) {
                return StringUtil.isFloat(s);
            } else if (c.equals(Long.class)) {
                return StringUtil.isLong(s);
            }
        }
        return false;
    }

    public static String getJar(Plugin plugin) {
        String p = plugin.getClass().getProtectionDomain().getCodeSource().getLocation().getPath();
        return p.substring(1);
    }

    public static final Map<Class<?>, Class<?>> PRIMITIVE_TO_WRAPPER = new HashMap<>();

    static {
        PRIMITIVE_TO_WRAPPER.put(boolean.class, Boolean.class);
        PRIMITIVE_TO_WRAPPER.put(byte.class, Byte.class);
        PRIMITIVE_TO_WRAPPER.put(short.class, Short.class);
        PRIMITIVE_TO_WRAPPER.put(char.class, Character.class);
        PRIMITIVE_TO_WRAPPER.put(int.class, Integer.class);
        PRIMITIVE_TO_WRAPPER.put(long.class, Long.class);
        PRIMITIVE_TO_WRAPPER.put(float.class, Float.class);
        PRIMITIVE_TO_WRAPPER.put(double.class, Double.class);
    }

}
