package com.io.yutian.aulib.util;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.event.ClickEvent;
import net.kyori.adventure.text.event.HoverEvent;

public class ComponentBuilder {

    private Component component;

    public ComponentBuilder() {
        component = Component.text("");
    }

    public ComponentBuilder add(Component component) {
        component.append(component);
        return this;
    }

    public ComponentBuilder add(String text) {
        return add(Component.text(text));
    }

    public ComponentBuilder add(String text, ClickEvent clickEvent) {
        Component component1 = Component.text(text);
        component1.clickEvent(clickEvent);
        return add(component1);
    }

    public ComponentBuilder add(String text, ClickEvent clickEvent, HoverEvent hoverEvent) {
        Component component1 = Component.text(text);
        component.clickEvent(clickEvent);
        component.hoverEvent(hoverEvent);
        return add(component1);
    }

    public ComponentBuilder add(String text, HoverEvent hoverEvent) {
        Component component1 = Component.text(text);
        component.hoverEvent(hoverEvent);
        return add(component1);
    }

    public Component build() {
        return component;
    }

}
