package com.io.yutian.aulib.util;

public class Pair<L, R> {

    protected final L left;
    protected final R right;

    public Pair(L left, R right) {
        this.left = left;
        this.right = right;
    }

    public static <K, V> Pair<K, V> of(K left, V right) {
        return new Pair(left, right);
    }

    public L left() {
        return this.left;
    }

    public R right() {
        return this.right;
    }

    public L first() {
        return this.left();
    }

    public R second() {
        return this.right();
    }

    public L key() {
        return this.left();
    }

    public R value() {
        return this.right();
    }
    

}